%global debug_package %{nil}

%global projectname Boost.Application
%global commit e69d4926027274dadb7d89c45964ddafa1edd7f5
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           boost-application
Version:        0.4.12
Release:        0.2.dev.git%{shortcommit}%{?dist}
Summary:        Boost Application Library

License:        Boost
URL:            https://github.com/mlegenovic/%{projectname}
Source0:        %{url}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  boost-devel

%description
Boost.Application provides an application environment, or start point
to any people that want a basic infrastructure to build an system
application on Windows or Unix Variants (e.g. Linux, MacOS).

%package        devel
Summary:        Development files for %{name}
Requires:       boost-devel

%description    devel
Boost.Application provides a application environment, or start point
to any people that want a basic infrastructure to build an system
application on Windows or Unix Variants (e.g. Linux, MacOS).

%prep
%autosetup -n %{projectname}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%{_includedir}/boost/application.hpp
%{_includedir}/boost/application/
